/*
 * camera-info.h: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *   
 * This code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * Or, point your browser to http://www.gnu.org/copyleft/gpl.html
 * $Id: camera-info.h,v 1.6 2004/11/16 20:34:43 peter Exp $
 */

 
/*

File	: camera-info.h
Autor	: Peter Juszack

Description
-----------------------------------------------------------------
OSD output of libgphoto2 camera summary

Camera summary is a multi line String which
is directly printed into th OSD
*/

#ifndef _CAMERA_INFO__H
#define _CAMERA_INFO__H

#include "digicam.h"
#include "digitalcamera.h"

#if VDRVERSNUM < 10307
class cCameraInfoMenu : public cOsdMenu {
#else
class cCameraInfoMenu : public cMenuText {
#endif
    private:
	void SetButtons();
    public:
	cCameraInfoMenu();
	virtual eOSState ProcessKey(eKeys Key);
};

#endif
