/*
 * cameralist.h: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *   
 * based on the image plugin
 *
 * This code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * Or, point your browser to http://www.gnu.org/copyleft/gpl.html
 * $Id: cameralist.h,v 1.3 2004/11/13 06:05:40 peter Exp $
 */

 
/*

File	: cameralist.h
Autor	: Peter Juszack

Description
-----------------------------------------------------------------
Fetches file lists from a camera
*/

#ifndef _CAMERALIST__H
#define _CAMERALIST__H

#include "data.h"
#include "digitalcamera.h"

class cCameraList : public cDirList {	
    public:  
	// overwrite implementation to scan directory contents  
	virtual bool ScanDir( cFileSource *src, const char *subdir, eScanType type, const char *spec,
	    const char *excl, bool recursiv );	    
};

#endif
