/*
 * facts-directory.h: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *   
 *
 * This code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * Or, point your browser to http://www.gnu.org/copyleft/gpl.html
 * $Id: facts-directory.h,v 1.3 2004/11/13 06:05:41 peter Exp $
 */

 
/*

File	: facts-directory.h
Autor	: Peter Juszack

Description
-----------------------------------------------------------------
directory menu

*/

#ifndef _MENU_DIRECTORY__H
#define _MENU_DIRECTORY__H

#include <vdr/osd.h>
#include <vdr/menu.h>
#include "data.h"
#include "facts-base.h"

class cFactsheetDirectory : public cFactsheetBase {
    private:
	unsigned int fileCount;
	
	// Size of all files in the directory
	void SetButtons(void);
    	
    protected:
	virtual eOSState SaveToDisc(void);
	virtual eOSState DeleteFromCamera(void);
	    
    public:

	cFactsheetDirectory(cDirItem *file);
};

#endif
