/*
 * i18n.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *   
 *
 * This code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * Or, point your browser to http://www.gnu.org/copyleft/gpl.html
 * $Id: i18n.c,v 1.8 2005/02/01 08:42:15 peter Exp $
 */

 
/*

File	: i18n.c
Autor	: Peter Juszack

Description
-----------------------------------------------------------------
Internationalisation file for digicam plugin

*/

#include "i18n.h"

const tI18nPhrase Phrases[] = {
  { "Digicam",	/*English*/
    "",	/*Deutsch*/
    "", // TODO /*Slovenski*/
    "", // TODO /*Italiano*/
    "", // TODO /*Nederlands*
    "", // TODO /*Portugus*/
    "", // TODO /*Franais*/
    "", // TODO /*Norsk*/
    "", // TODO /*suomi*/
    "", // TODO /*Polski*/
    "", // TODO /*Espaol*/
    "", // TODO /*Ellinika*/
    "", // TODO /*Svenska*/
    "", // TODO /*Romaneste*/
    "", // TODO /*Magyar*/
    "", // TODO /*Catal*/
  },
  { "Plugin to access a digital camera",/*English*/
    "Plugin fuer Zugriff auf Digitalcamera",/*Deutsch*/
    "", // TODO /*Slovenski*/
    "", // TODO /*Italiano*/
    "", // TODO /*Nederlands*
    "", // TODO /*Portugus*/
    "", // TODO /*Franais*/
    "", // TODO /*Norsk*/
    "", // TODO /*suomi*/
    "", // TODO /*Polski*/
    "", // TODO /*Espaol*/
    "", // TODO /*Ellinika*/
    "", // TODO /*Svenska*/
    "", // TODO /*Romaneste*/
    "", // TODO /*Magyar*/
    "", // TODO /*Catal*/
  },
  { "Camera browser",
    "Camera Verzeichnisanzeige",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  // Image/ Directory menu
  { "Image download",
    "Bild Download",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "yes",
    "ja",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "no",
    "nein",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "File",
    "Datei",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Size",
    "Groesse",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Downloaded",
    "Bereits geladen",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Downloading file from camera...",
    "Lade Datei von der Kamera...",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Storing file...",
    "Speichere Datei...",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "File stored",
    "Datei gespeichert",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Store destination",
    "Speicherziel",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Store destination browser",
    "Speicherziel Browser",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },

  { "Files stored",
    "Dateien gespeichert",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Size of all files",
    "Gesamtgroesse",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },

  { "File count",
    "Anzahl Dateien",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Folder",
    "Verzeichnis",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Please select a directory",
    "Bitte waehlen Sie Verzeichnis",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Destination",
    "Speicherziel",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Camera info",
    "Kamera Info",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },

  { "Delete",
    "Loeschen",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Copy",
    "Kopieren",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Cancel",
    "Abbrechen",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Close",
    "Schliessen",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Parent",
    "Zurck",
    "Nazaj",
    "", // TODO
    "", // TODO
    "", // TODO
    "Parent",
    "", // TODO
    "", // TODO
    "", // TODO
    "Predecesor", 
    "Piso",
    "Tillbaka",
    "", // TODO
    "", // TODO
    "Anterior",
  },
  { "Select",
    "Auswhlen",
    "Izberi",
    "", // TODO
    "", // TODO
    "", // TODO
    "Slectionner",
    "", // TODO
    "", // TODO
    "", // TODO
    "Seleccionar", 
    "Epilogi",
    "Vlj",
    "", // TODO
    "", // TODO
    "Escollir",
  },
  { "Error scanning directory!",
    "Fehler beim Lesen des Verzeichnisses!",
    "Napaka pri pregledovanju direktorija!",
    "", // TODO
    "", // TODO
    "", // TODO
    "Erreur de parcours du rpertoire!",
    "", // TODO
    "", // TODO
    "", // TODO
    "Error al leer una carpeta!", 
    "Lathos stin sarosi tou fakelou!",
    "Kunde inte lsa katalogen!",
    "", // TODO
    "", // TODO
    "Error al llegir una carpeta!",
  },
  { "Download destination",
    "Download Ziel",
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "",
    "", // TODO
    "", // TODO
    "", // TODO
    "", 
    "",
    "",
    "", // TODO
    "", // TODO
    "",
  },
  { "Mount",
    "Einbinden",
    "Priklopi",
    "", // TODO
    "", // TODO
    "", // TODO
    "Monter",
    "", // TODO
    "", // TODO
    "", // TODO
    "Mount", 
    "Sindesi",
    "Montera",
    "", // TODO
    "", // TODO
    "Mount",
  },
  { "Unmount",
    "Aushngen",
    "Izklopi",
    "", // TODO
    "", // TODO
    "", // TODO
    "Dmonter",
    "", // TODO
    "", // TODO
    "", // TODO
    "Unmount",
    "Aposindesi",
    "Avmontera",
    "", // TODO
    "", // TODO
    "Unmount",
  },
  { "Selected source is not mounted!",
    "Ausgewhlter Datentrger ist nicht eingebunden!",
    "Izbran izvor ni prikljucen!",
    "", // TODO
    "", // TODO
    "", // TODO
    "Source slectionne non monte!",
    "", // TODO
    "", // TODO
    "", // TODO
    "El origen deseado no est montado!", 
    "Epilegmeni Pigi den ine sindemeni!",
    "Den valda kllan r inte monterad!",
    "", // TODO
    "", // TODO
    "l'Origen sel.leccionat no est muntat!",
  },
  { "Mount succeeded",
    "Einbinden erfolgreich",
    "Priklop izveden",
    "", // TODO
    "", // TODO
    "", // TODO
    "Montage russi",
    "", // TODO
    "", // TODO
    "", // TODO
    "mount correcto", 
    "I sindesi petixe",
    "Monteringen lyckades",
    "", // TODO
    "", // TODO
    "mount correcte",
  },
  { "Mount failed!",
    "Einbinden fehlgeschlagen!",
    "Napaka pri priklopu!",
    "", // TODO
    "", // TODO
    "", // TODO
    "Echec du montage!",
    "", // TODO
    "", // TODO
    "", // TODO
    "No he podido montar!", 
    "I sindesi apetixe!",
    "Monteringen misslyckades!",
    "", // TODO
    "", // TODO
    "No he pogut muntar!",
  },
  { "Unmount succeeded",
    "Aushngen erfolgreich",
    "Izklop izveden",
    "", // TODO
    "", // TODO
    "", // TODO
    "Dmontage russi",
    "", // TODO
    "", // TODO
    "", // TODO
    "xito al unmount", 
    "I aposindesi itan epitixisi",
    "Avmonteringen lyckades",
    "", // TODO
    "", // TODO
    "unmount amb xit",
  },
  { "Unmount failed!",
    "Aushngen fehlgeschlagen!",
    "Napaka pri izklopu!",
    "", // TODO
    "", // TODO
    "", // TODO
    "Echec du dmontage!",
    "", // TODO
    "", // TODO
    "", // TODO
    "No puedo desmontar!", 
    "I aposindesi den itan epitixis!",
    "Avmonteringen misslyckades!",
    "", // TODO
    "", // TODO
    "No puc desmontar!",
  },
  { "Eject failed!",
    "Auswerfen fehlgeschlagen!",
    "Napaka pri izmetu!",
    "", // TODO
    "", // TODO
    "", // TODO
    "Echec de l'jection!",
    "", // TODO
    "", // TODO
    "", // TODO
    "No puedo expulsar!", 
    "I apovoli apetixe!",
    "Mata ut!",
    "", // TODO
    "", // TODO
    "No puc expulsar!",
  },
  { "Directory download",
    "Verzeichnis Download",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Loading file",
    "Lade Datei",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Storing file",
    "Speichere Datei",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "of",
    "von",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  

  { "Scanning directory...",
    "Durchsuche Verzeichnis...",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "Scanne le repertoire...",
    "", // TODO
    "", // TODO
    "", // TODO
    "Leyendo las carpetas..",
    "", // TODO
    "Sker igenom katalog...",
    "", // TODO
    "", // TODO
    "Revisant les carpetes..",
  },
  { "No Files!",
    "Keine Dateien!",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Download complete",
    "Download abgeschlossen",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Download cancelled",
    "Download abgebrochen",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Digicam: download complete",
    "Digicam: Download abgeschlossen",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Download status: UNKNOWN",
    "Download status: Unbekannt",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Canceling download...",
    "Abbruch...",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Threaded directory download",
    "Verzeichnis Download als Thread",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Delete directory?",
    "Verzeichnis loeschen?",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Not empty: Delete all?",
    "Nicht leer: Gesamten Inhalt loeschen?",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Directory deleted",
    "Verzeichnis geloescht",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Directory not deleted",
    "Verzeichnis nicht geloescht",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Delete image?",
    "Bild loeschen?",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Image deleted",
    "Bild geloescht",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Deleting failed",
    "Loeschen fehlgeschlagen",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Please enter a name",
    "Bitte geben Sie einen Namen an",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Create folder",
    "Neuer Ordner",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "No supported camera connected",
    "Keine kompatible Kamera angeschlossen",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },

  { "Could not create folder",
    "Verzeichnis konnte nicht angelegt werden",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  
  { NULL }
};
