/*
 * menu-destbrowse.h: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *   
 * based on th image plugin
 *
 * This code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * Or, point your browser to http://www.gnu.org/copyleft/gpl.html
 * $Id: menu-destbrowse.h,v 1.3 2004/11/13 06:05:41 peter Exp $
 */

 
/*

File	: menu-destbrowse.h
Autor	: Peter Juszack

Description
-----------------------------------------------------------------
File browser for store destination

*/

#ifndef __MENU_DESTBROWSE_
#define __MENU_DESTBROWSE_
 
#include <vdr/osd.h>

#include "menu.h"

class cMenuDestinationBrowse : public cMenuBrowse {

    private:
	bool sourcing;
	void SetButtons(void);
    protected:
    
	virtual eOSState Select(bool isred);
	eOSState Source(bool second);
    public:
	cMenuDestinationBrowse(void);
	~cMenuDestinationBrowse();
	
	virtual eOSState ProcessKey(eKeys Key);
};

#endif
